%global	commit0 c5c8b021c8f9420c26c11372c95a4a6f440dcc97
%global	shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global	date 20170131

Name:		swatchbooker
Version:	0.8
Release:	0.4%{?shortcommit0:%{?date:.%{date}}git%{shortcommit0}}%{?dist}
Summary:	Color swatch editor

License:	GPLv3+
URL:		http://www.selapa.net/swatchbooker/

%{?shortcommit0:
Source0:	https://github.com/olivierberten/%{name}/archive/%{commit}.tar.gz#/SwatchBooker-%{shortcommit0}.tar.gz}
%{!?shortcommit0:
Source0:	https://github.com/olivierberten/%{name}/archive/v%{version}.tar.gz#/SwatchBooker-%{version}.tar.gz}

Source1:	swatchbooker.metainfo.xml

BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	lcms2-devel
# Appstream stuff
BuildRequires:	libappstream-glib
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python2-pillow-qt
BuildRequires:	python-qt5-devel

%description
Color swatch editor

%prep
%{?shortcommit0:
%autosetup -n SwatchBooker-%{commit0}}
%{!?shortcommit0:
%autosetup -n SwatchBooker-%{version}}

# Fix binary path
sed -i -e 's|PROGRAM=/usr/lib/swatchbooker/sbconvert.pyw|PROGRAM=/usr/share/swatchbooker/sbconvert.pyw|g' data/sbconvert
sed -i -e 's|PROGRAM=/usr/lib/swatchbooker/sbconvertor.pyw|PROGRAM=/usr/share/swatchbooker/sbconvertor.pyw|g' data/sbconvertor
sed -i -e 's|PROGRAM=/usr/lib/swatchbooker/swatchbooker.pyw|PROGRAM=/usr/share/swatchbooker/swatchbooker.pyw|g' data/swatchbooker

%build
%py_build


%install
%py_install

# Remove shebang
for lib in %{buildroot}%{python_sitelib}/swatchbook/*/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Remove shebang
for lib in %{buildroot}%{python_sitelib}/swatchbook/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in %{buildroot}%{_prefix}/lib/%{name}/*.{py,pyw}; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


# Move in usr/share
cp -pr %{buildroot}%{_prefix}/lib/%{name} %{buildroot}%{_datadir}
rm -fr %{buildroot}%{_prefix}/lib/%{name}

#set execute permission
chmod a+x %{buildroot}%{_bindir}/*

# AppData
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

# Remove post-installation for Microsoft Windows 
rm -fr %{buildroot}%{_bindir}/swatchbooker_w32_postinst.py

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/sbconvertor.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/swatchbooker.desktop

%post
%if 0%{?fedora} == 24 || 0%{?rhel} == 7
/usr/bin/update-desktop-database &> /dev/null || :
%endif
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
%if 0%{?rhel} == 7
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
%endif

%postun
%if 0%{?fedora} == 24 || 0%{?rhel} == 7
/usr/bin/update-desktop-database &> /dev/null || :
%endif
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
%if 0%{?rhel} == 7
    /usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
%endif
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%if 0%{?rhel} == 7
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
%endif

%files -f %{name}.lang
%license src/COPYING
%doc README.md
# For noarch packages: sitelib
%{python_sitelib}/swatchbook
%{python_sitelib}/*.egg-info
%{_bindir}/sbconvert
%{_bindir}/sbconvertor
%{_bindir}/swatchbooker
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/applications/sbconvertor.desktop
%{_datadir}/applications/swatchbooker.desktop
%{_datadir}/icons/swatchbooker.ico
%{_datadir}/icons/swatchbooker.svg
%{_datadir}/%{name}

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-0.4.20170131gitc5c8b02
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-0.3.20170131gitc5c8b02
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-0.2.20170131gitc5c8b02
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 01 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.8-0.1.20170131gitc5c8b02 
- Fix naming git snapshot
- Use unversionned python macro
- Remove shebang

* Tue Apr 18 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.8-0.1.20170131gitc5c8b02 
- Latest git snapshot
- Fix /usr/lib path

* Sun Apr 09 2017 Luya Tshimbalanga <luya@fedoraproject.org> 0.7.6-1
- Upstream release
- Clean spec for adherance to Fedora Packaging guideline

* Wed Oct 13 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.7.3-1
- Initial spec.
